-- Conversation Manager localization file

CONVERSE_NAME = "Conversation Manager";
CONVERSE_VER  = "0.9.3";

-- Bindings
BINDING_NAME_CONVERSE_TOGGLE	= "Toggle window";
BINDING_HEADER_CONVERSE		= "Conversation Manager";

-- Window text
CONVERSE_HEADER_TITLE	= "Conversation Manager";
CONVERSE_HEADER_IGNORE	= "Ignore:";
CONVERSE_HEADER_LINKS	= "Links";
CONVERSE_HEADER_PLAYERS	= "Players";
CONVERSE_HEADER_LOCK	= "Lock Window";
CONVERSE_HEADER_LINES	= " lines";

CONVERSE_HEADER_PAUSED	= "|cffffffff[PAUSED]";

CONVERSE_TOOLTIP_FORMAT_PLAYERS	= "%d in channel";
CONVERSE_TOOLTIP_FORMAT_RAID	= "%d in raid";
CONVERSE_TOOLTIP_FORMAT_PARTY	= "%d in party";
--CONVERSE_TOOLTIP_FORMAT_NEWLINES	= "%d/%d lines (%d new)";
--CONVERSE_TOOLTIP_FORMAT_NONEWLINES	= "%d/%d lines";
CONVERSE_TOOLTIP_FORMAT_LINES	= "%d/%d lines (%d new)";
CONVERSE_TOOLTIP_FORMAT_LASTDATE	= "Last activity at %s";

-- Help text
CONVERSE_HELPTEXT = {
	CONVERSE_COLOUR_PRINT..CONVERSE_NAME.." "..CONVERSE_VER,
	"     /converse hide/show - hide or show window",
	"     /converse lock/unlock - lock or unlock window",
	"     /converse reset - reset window position",
	"     /converse fontsize # - change font size in history window",
	"     /converse maxlines # - change the maximum number of lines in history",
	"     /converse clearall - remove all ines",
	"     /converse clearchat - clear group/guild chat",
	"     /converse clearchan - clear channels",
	"     /converse clearmsg - clear whispers",
	"     /converse clearrand - clear non-friend whispers",
	"     /converse blink - toggle blinking for party/raid/guild/officer chat",
	"     /converse chanblink - toggle blinking for channels",
	"     /converse msgblink - toggle blinking for whispers",
	"     /converse sync/nosync - sync or unsync chat entry box from current conversation",
	"     /converse date/nodate - enable/disable date stamping",
	"     /converse altedit/noaltedit - enable/disable alternate IM-style editbox",
	"     /converse gemfilter/nogemfilter - enable/disable GEM channel filter",
	"     /chatall - refresh list of players for all channels",
}

--CONVERSE_DATESTAMP_PRE	= "========== Login at ";
--CONVERSE_DATESTAMP_POST	= " ==========";
CONVERSE_DATESTAMP_FORMAT	= "========== %s loggged in at %s ==========";

-- Errors
CONVERSE_ERR_FONTSIZE	= CONVERSE_COLOUR_PRINT..CONVERSE_NAME..": Invalid font size ("..CONVERSE_FONTMIN.."-"..CONVERSE_FONTMAX.."):";
CONVERSE_ERR_MAXLINES	= CONVERSE_COLOUR_PRINT..CONVERSE_NAME..": Invalid number of lines ("..CONVERSE_LINESMIN.."-"..CONVERSE_LINESMAX.."): ";

-- Buttons
--CONVERSE_BUTTON_SAVEEDIT		= "Save";
--CONVERSE_BUTTON_LOCKHISTORY		= "Cancel";
--CONVERSE_BUTTON_UNLOCKHISTORY		= "Edit";
--CONVERSE_BUTTON_CLEARMESSAGE		= "Hold shift and click to clear";
CONVERSE_BUTTON_CLEARHISTORY		= "Clear";
CONVERSE_BUTTON_PAUSE			= "Pause";
CONVERSE_BUTTON_RESUME			= "Resume";
CONVERSE_BUTTON_MULTIPASTE		= "Paste";
CONVERSE_BUTTON_MULTIPASTE_PASTE	= "Paste";
CONVERSE_BUTTON_MULTIPASTE_CLEAR	= "Clear";

CONVERSE_BUTTON_IGNORESAY	= "Say";
CONVERSE_BUTTON_IGNOREPARTY	= "Party";
CONVERSE_BUTTON_IGNORERAID	= "Raid";
CONVERSE_BUTTON_IGNOREBG	= "BG";
CONVERSE_BUTTON_IGNOREGUILD	= "Guild";
CONVERSE_BUTTON_IGNOREOFFICER	= "Officer";
CONVERSE_BUTTON_IGNOREWHISPER	= "Whispers";

CONVERSE_LABEL_SAY	= "Say";
CONVERSE_LABEL_PARTY	= "Party";
CONVERSE_LABEL_RAID	= "Raid";
CONVERSE_LABEL_BG	= "Battleground";
CONVERSE_LABEL_GUILD	= "Guild";
CONVERSE_LABEL_OFFICER	= "Officer";

-- Console messages
CONVERSE_MSG_LOADED	= CONVERSE_COLOUR_PRINT..CONVERSE_NAME.." "..CONVERSE_VER..": Loaded";

CONVERSE_MSG_LOCKED	= "Window position locked";
CONVERSE_MSG_UNLOCKED	= "Window position unlocked";
CONVERSE_MSG_RESET	= "Window position reset";
CONVERSE_MSG_FONTSIZE	= "Font size set to ";
CONVERSE_MSG_MAXLINES	= "Maximum lines set to ";
CONVERSE_MSG_CLEARALL	= "All history cleared for ";
CONVERSE_MSG_CLEARCHAT	= "Group/guild history cleared for ";
CONVERSE_MSG_CLEARCHAN	= "Channel history cleared for ";
CONVERSE_MSG_CLEARMSG	= "Whispers history cleared for ";
CONVERSE_MSG_CLEARRAND	= "Non-friend whispers history cleared for ";
CONVERSE_MSG_SYNC	= "Chat entry box sync is ";
CONVERSE_MSG_DATE	= "Datestamping is ";
CONVERSE_MSG_ALTEDIT	= "Alternate EditBox is ";
CONVERSE_MSG_GEMFILTER	= "GEM Filter is ";

CONVERSE_MSG_BLINKTYPE	= "Blinking for ";
CONVERSE_MSG_BLINK	= "party/raid/bg/guild ";
CONVERSE_MSG_MSGBLINK	= "private messages ";
CONVERSE_MSG_CHANBLINK	= "channels ";

CONVERSE_MSG_ENABLED	= "enabled";
CONVERSE_MSG_DISABLED	= "disabled";

CONVERSE_MSG_STATUSHEADER	= CONVERSE_COLOUR_PRINT..CONVERSE_NAME.." "..CONVERSE_VER.." status:";

-- Commands
SLASH_CONVERSE1	= "/converse";
SLASH_CONVERSE2	= "/conv";
SLASH_CHATALL1	= "/chatall";

CONVERSE_SLASH_HIDE		= "hide";
CONVERSE_SLASH_SHOW		= "show";
CONVERSE_SLASH_LOCK		= "lock";
CONVERSE_SLASH_UNLOCK		= "unlock";
CONVERSE_SLASH_RESET		= "reset";

CONVERSE_SLASH_FONTSIZE		= "fontsize";
CONVERSE_SLASH_MAXLINES		= "maxlines";

CONVERSE_SLASH_CLEARALL		= "clearall";
CONVERSE_SLASH_CLEARMSG		= "clearmsg";
CONVERSE_SLASH_CLEARCHAT	= "clearchat";
CONVERSE_SLASH_CLEARCHAN	= "clearchan";
CONVERSE_SLASH_CLEARRAND	= "clearrand";

--CONVERSE_SLASH_CHANREFRESH	= "channames";

CONVERSE_SLASH_BLINK		= "blink";
CONVERSE_SLASH_CHANBLINK	= "chanblink";
CONVERSE_SLASH_MSGBLINK		= "msgblink";

CONVERSE_SLASH_SYNC		= "sync";
CONVERSE_SLASH_NOSYNC		= "nosync";

CONVERSE_SLASH_GEMFILTER	= "gemfilter";
CONVERSE_SLASH_NOGEMFILTER	= "nogemfilter";

CONVERSE_SLASH_DATE		= "date";
CONVERSE_SLASH_NODATE		= "nodate";

CONVERSE_SLASH_ALTEDIT		= "altedit";
CONVERSE_SLASH_NOALTEDIT	= "noaltedit";

CONVERSE_SLASH_STATUS		= "status";

-- Display
CONVERSE_NAME_PRE       = "[";
CONVERSE_NAME_POST      = "]: ";
CONVERSE_NAME_REPLY	= " -> ";

CONVERSE_NAME_SAY	= " says: ";
CONVERSE_NAME_YELL	= " yells: ";

CONVERSE_NAME_PLEADPRE	= "Lead [";
CONVERSE_NAME_RLEADPRE	= "Lead [";
CONVERSE_NAME_RWARNPRE	= "Warn [";

CONVERSE_NAME_BLEADPRE	= "Lead [";

CONVERSE_NAME_AFK	= " AFK: ";
CONVERSE_NAME_DND	= " DND: ";
CONVERSE_NAME_JOIN	= " joined channel.";
CONVERSE_NAME_LEAVE	= " left channel.";

--CONVERSE_NAME_ONLINE	= "(Online)";
--CONVERSE_NAME_OFFLINE	= "(Offline)";
CONVERSE_NAME_ONLINE	= "(|cff00ff00Online|r)";
CONVERSE_NAME_OFFLINE	= "(|cffff0000Offline|r)";
